Bug 137355 - Clean up interface to Font::expansionOpportunityCount()
Summary: Clean up interface to Font::expansionOpportunityCount()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-02 13:13 PDT by Myles C. Maxfield
Modified: 2014-10-06 16:54 PDT (History)
10 users (show)

See Also:


Attachments
Patch (11.08 KB, patch)
2014-10-02 13:17 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (10.20 KB, patch)
2014-10-03 14:04 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2014-10-02 13:13:10 PDT
Clean up interface to Font::expansionOpportunityCount()
Comment 1 Myles C. Maxfield 2014-10-02 13:17:06 PDT
Created attachment 239132 [details]
Patch
Comment 2 Myles C. Maxfield 2014-10-03 12:19:28 PDT
This needs to be rebaselined.
Comment 3 Myles C. Maxfield 2014-10-03 12:19:46 PDT
**** The code needs to be rebased
Comment 4 Myles C. Maxfield 2014-10-03 14:04:09 PDT
Created attachment 239231 [details]
Patch
Comment 5 WebKit Commit Bot 2014-10-03 15:07:47 PDT
Comment on attachment 239231 [details]
Patch

Clearing flags on attachment: 239231

Committed r174297: <http://trac.webkit.org/changeset/174297>
Comment 6 WebKit Commit Bot 2014-10-03 15:07:51 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Darin Adler 2014-10-03 22:02:33 PDT
Comment on attachment 239231 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=239231&action=review

> Source/WebCore/rendering/RenderText.cpp:1533
> +StringView RenderText::stringView(int start, int stop) const
> +{
> +    if (is8Bit())
> +        return StringView(characters8() + start, stop - start);
> +    return StringView(characters16() + start, stop - start);
> +}

This function either needs assertions about start and stop being reasonable values, or code to clamp start and stop to make them reasonable values.
Comment 8 Myles C. Maxfield 2014-10-06 16:54:47 PDT
Comment on attachment 239231 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=239231&action=review

>> Source/WebCore/rendering/RenderText.cpp:1533
>> +}
> 
> This function either needs assertions about start and stop being reasonable values, or code to clamp start and stop to make them reasonable values.

Addressed in r174373.